@if (componentData$ | async; as componentData) {
  <div
    class="flex-column full-height full-width p-r-15"
    style="overflow-y: hidden"
  >
    <div class="sqtm-large-grid-container-title">
      {{ 'sqtm-core.test-case-workspace.title.script' | translate }}
    </div>
    <div
      class="sqtm-large-grid-container full-width full-height p-15 flex-column"
    >
      <sqtm-app-editable-ace-field
        class="full-width full-height flex-column"
        [value]="componentData.testCase.script"
        [canWrite]="testCaseIsEditable$ | async"
        (confirmEvent)="confirm($event)"
        (checkSyntaxEvent)="checkSyntax($event)"
      >
      </sqtm-app-editable-ace-field>
    </div>
  </div>
}
